%define upstream_name    Plack-Middleware-LogErrors
%define upstream_version 0.002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Map psgi.errors to psgix.logger or other logger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.094
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
'psgi.errors' defaults to 'stderr' in most backends, which results in
content going somewhere unhelpful like the server console.

This middleware simply remaps the 'psgi.errors' stream to the
'psgix.logger' stream, or an explicit logger that you provide.

This is especially handy when used in combination with other middlewares
such as the Plack::Middleware::LogWarn manpage (which diverts Perl warnings
to 'psgi.errors'); the Plack::Middleware::HTTPExceptions manpage (which
diverts uncaught exceptions to 'psgi.errors'); and the
Plack::Middleware::AccessLog manpage, which defaults to 'psgi.errors' when
not passed a logger -- which is also automatically applied via the plackup
manpage (so if you provided no '--access-log' option indicating a filename,
'psgi.errors' is used).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-3.mga6
+ Revision: 1032138
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 966749
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.2.0-1.mga6
+ Revision: 846757
- update to 0.002

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-3.mga5
+ Revision: 747257
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Nov 12 2013 shlomif <shlomif> 0.1.0-1.mga4
+ Revision: 550815
- More BuildRequires
- More BuildRequires
- Fix BR
- imported package perl-Plack-Middleware-LogErrors


* Tue Nov 12 2013 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
